WiFi “Device not managed / not ready”

Briefly describe your issue below:

Fresh Installation of Parrot Security Edition.
1. After installation my first command was “sudo apt-get update && upgrade”. So it did its procedure and my Parrot was 5.2 after it was finished it was Parrot 5.4. Before upgrading to that my wifi was working just fine. But now

“Device not managed”
and then next second
“Device not ready”
then goes back to
“Device not managed” … It is looped.

2. After typing “lspci -vq”, it says my wifi Network Controller is “Intel® Wireless-AC 9560 [Jefferson Peak] (rev 10)” and

 Kernel driver in use : iwlwifi
 Kernel modules : iwlwifi , wl

3. I also checked if it is soft blocked or hard blocked -> It not was blocked

4. Also tried to restart network-manager. Did not work.

5. When I type “iwconfig or ifconfig” it gives me 2 consecutive types of output:

for iwconfig:

eth0 no wireless extensions.
lo no wireless extensions.
wlan0 No such device

AND OTHER TIME for iwconfig

eth0      no wireless extensions.
lo        no wireless extensions.
wlan0     IEEE 802.11  ESSID:off/any
            Mode:Managed  Access Point: Not-Associated   Tx- 
            Power=0 dBm 
            Retry short limit:7   RTS thr:off   Fragment thr:off
            Power Management:on

for ifconfig :

eth0:*I did not provide this info*
lo: *I did not provide this info*
wlan0: error fetching interface information: Device not found

AND OTHER TIME for ifconfig

wlan0 is not there
  1. I did “sudo apt-get autoremove” -> It did not worked.

  2. Also did sudo nano/etc/NetworkManager/NetworkManager.conf

     [main]
    plugins=ifupdown,keyfile
    [ifupdown]
    managed=true
    Changed here “managed=true” from “managed=false”
    

then “sudo systemctl restart network-manager.service” and zero effect

What version of Parrot are you running? (include version (e.g. 4.6), edition(e.g. Home//KDE/OVA, etc.), and architecture (currently we only support amd64)

I use only Security edition.
After typing “uname -a” I get following output:

 Linux parrot 5.4.0-3parrot1-amd64 #1 SMP Parrot 5.4.13-3parrot2 (2020-02-01) x86_64 GNU/Linux

What method did you use to install Parrot? (Debian Standard / Debian GTK / parrot-experimental)

 *Debian GTK buster* 

Configured to multiboot with other systems? (yes / no)
Yes, I have installed parrot with windows 10 but both of them are installed on different drives meaning my windows is installed on SSD and Parrot is on HDD. Contrary I never got this issue until I upgraded to 5.4.0 .

If there are any similar issues or solutions, link to them below:
It gave me same problem when I installed fresh Kali 2020 edition. I have also tried the solution provided with same problem encountered by user https://community.parrotlinux.org/t/wifi-device-not-managed-not-ready/9408
But solution did not worked for me.

If there are any error messages or relevant logs, post them below:
Here is the “dmesg -k” log file

https://drive.google.com/open?id=1lkYMsdfUPl_j2J4r1z0ouN89RSVFJl6_

ALSO IN MY WINDOWS MY WIFI IS WORKING PROPERLY. PLEASE HELP !

Seems to be driver problem, try install driver or reinstall

If you not sure about the correct driver to your device try " sudo lspci -k | grep ‘Network controller’ "

I’ve run into some issues like this as well. One thing standing out to me is your command for updating Parrot:

Blockquote After installation my first command was “ sudo apt-get update && upgrade ”.

Try running sudo parrot-upgrade.

We need dmesg logs to understand what is happening with the device, I’ll bet it’s a firmware crash or missing firmware but maybe lets try modprobe -r (driver name) then load it again with modprobe (driver).

It did not work. I tried this !

Can you please tell me exact steps to re/install drivers ? because this is problem is new for me and I cant find proper steps to do this. Thanks !

I think its firmware crash too after looking at dmesg . Well I ran " modprobe -r iwlwifi " and I got this error “modprobe: FATAL: Module iwlwifi is in use.” , so I ran “modprobe -r iwlmvm” then reboot the systembut nothing seems to work. Here is the dmesg log file as you asked for tell me anything that will help me. Thanks ! https://drive.google.com/open?id=1lkYMsdfUPl_j2J4r1z0ouN89RSVFJl6_

Try modprobe -r iwlmvm first before doing the same iwlwifi, I forgot about that dependency. Then modprobe iwlwifi, oh and I should have been clear not to reboot the system after the first command. The “-r” switch on modprobe removes the driver from the running kernel, then a normal modprobe reloads the driver. This can sometimes help with a crashing driver/device to reset it but we really must see the dmesg log.
sudo dmesg | grep iwlwifi or grep wlan0 may show the source of the issue

In my opinion, best think to do is never upgrade pentesters distros with apt, if repository no longer works to the old version, simply change sources.list to debian repository and you can stand in the old version, I`m using parrot 4.5 now, and everything is working just fine, and I can update all tools with debian repository.

You can try “sudo apt-get reinstall your_driver” or ’ apt-get remove[…] ’ and ’ apt-get install […] ’